#LyX 2.3 created this file. For more info see http://www.lyx.org/
\lyxformat 544
\begin_document
\begin_header
\save_transient_properties true
\origin unavailable
\textclass article
\begin_preamble
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{eurosym}
\usepackage{eulervm}
\usepackage{enumitem}
\usepackage{latexsym}
\usepackage{multicol}
\usepackage{setspace}
\date{} 
\usepackage{tikz}
\usetikzlibrary{calc,shadings}

%\usepackage[usenames, dvipsnames]{color}
\definecolor{Sectioncolour2}{RGB}{210,180,180} 
\definecolor{Sectioncolour1}{RGB}{179,100,100} 
\definecolor{Sectioncolour}{RGB}{159,29,35}  

% background

%\usepackage{gradientframe}

%\usepackage[pages=all,color=Sectioncolour,angle=90,hshift=-5cm,scale=1.5,contents={Nucleosynthesis in AGB Stars}]{background} 
  
%\usepackage{framed}
%\colorlet{shadecolor}{gray!25}   % you may try 'blue' here
%\renewenvironment{leftbar}{%
% \def\FrameCommand{%
%{%
%\textcolor{Sectioncolour2}{\vrule width 2pt}%
%\textcolor{Sectioncolour1}{\vrule width 2pt}%
%\textcolor{Sectioncolour}{\vrule width 2pt}%
%\textcolor{Sectioncolour1}{\vrule width 2pt}%
%\textcolor{Sectioncolour2}{\vrule width 2pt}%
%}\hspace{10pt}}%
%  \MakeFramed {\advance\hsize-\width \FrameRestore}}%
%{\endMakeFramed}


%\rule{0.4pt}{\textheight}

% try this
%http://www.ctan.org/tex-archive/macros/latex/contrib/eso-pic/
%http://stackoverflow.com/questions/2986240/latex-how-to-make-a-fullpage-vertical-rule-on-every-page

\usepackage{eso-pic}
\usepackage{graphicx}
%\newcommand\BackgroundPic{} 

\newcommand\BackgroundPic{%
\put(0,0){%
\parbox[b][\paperheight]{\paperwidth}{%
\vfill
\centering
\includegraphics[width=\paperwidth,height=\paperheight,%
keepaspectratio]{images/falk2-low-lolores.eps}%
\vfill
}}}

% remove background image (for speed)
%\renewcommand\BackgroundPic{}

% redefine sections to use red colour
\usepackage{titlesec}
\titleformat{name=\section}% command to alter
{\color{Sectioncolour}\normalfont\itshape\bfseries\large\setstretch{0.5}}%format
{\thesection}%label
{1em}%sep
{}%before code
{}%after code

% redefine subsections to use red colour 
\titleformat{name=\subsection}% command to alter
{\color{Sectioncolour}\normalfont\itshape\bfseries\large\setstretch{0.5}}%format
{\thesubsection}%label
{1em}%sep
{}%before code
{}%after code


\def\aj{AJ}                   % Astronomical Journal
\def\araa{ARA\&A}             % Annual Review of Astron and Astrophys
\def\apj{ApJ}                 % Astrophysical Journal
\def\apjl{ApJ}                % Astrophysical Journal, Letters
\def\apjs{ApJS}               % Astrophysical Journal, Supplement
\def\apss{Ap\&SS}             % Astrophysics and Space Science
\def\aap{A\&A}                % Astronomy and Astrophysics
\def\aapr{A\&A~Rev.}          % Astronomy and Astrophysics Reviews
\def\aaps{A\&AS}              % Astronomy and Astrophysics, Supplement
\def\mnras{MNRAS}             % Monthly Notices of the RAS
\def\pra{Phys.~Rev.~A}        % Physical Review A: General Physics
\def\prl{Phys.~Rev.~Lett.}    % Physical Review Letters
\def\pasa{PASA}               % Publications of the ASP
\def\pasp{PASP}               % Publications of the ASP
\def\pasj{PASJ}               % Publications of the ASJ
\def\nat{Nature}              % Nature
\def\aplett{Astrophys.~Lett.} % Astrophysics Letters 
\def\physrep{Phys.~Rep.}   % Physics Reports%
\def\na{NewA}   % new astronomy%

\usepackage{natbibspacing} 
\setlength{\bibspacing}{0mm}

% header
\usepackage{fancyhdr} 
\pagestyle{fancy}
\renewcommand{\headrulewidth}{0pt}
\fancyhead[LE,RO]{\color{Sectioncolour}\normalfont\itshape\bfseries{}}           % page number in "outer" position of footer line
\fancyhead[RE,LO]{\color{Sectioncolour}\rightmark} % other info in "inner" position of footer line

\raggedbottom
\end_preamble
\use_default_options true
\maintain_unincluded_children false
\language british
\language_package default
\inputencoding auto
\fontencoding global
\font_roman "utopia" "default"
\font_sans "default" "default"
\font_typewriter "default" "default"
\font_math "auto" "auto"
\font_default_family rmdefault
\use_non_tex_fonts false
\font_sc false
\font_osf false
\font_sf_scale 100 100
\font_tt_scale 100 100
\use_microtype false
\use_dash_ligatures true
\graphics default
\default_output_format default
\output_sync 0
\bibtex_command default
\index_command default
\paperfontsize 12
\spacing single
\use_hyperref false
\papersize a4paper
\use_geometry true
\use_package amsmath 1
\use_package amssymb 1
\use_package cancel 1
\use_package esint 1
\use_package mathdots 1
\use_package mathtools 1
\use_package mhchem 1
\use_package stackrel 1
\use_package stmaryrd 1
\use_package undertilde 1
\cite_engine natbib
\cite_engine_type authoryear
\biblio_style plainnat
\use_bibtopic false
\use_indices false
\paperorientation portrait
\suppress_date false
\justification true
\use_refstyle 1
\use_minted 0
\index Index
\shortcut idx
\color #008000
\end_index
\leftmargin 2cm
\topmargin 3cm
\rightmargin 2cm
\bottommargin 3cm
\secnumdepth 3
\tocdepth 3
\paragraph_separation indent
\paragraph_indentation default
\is_math_indent 0
\math_numbering_side default
\quotes_style english
\dynamic_quotes 0
\papercolumns 1
\papersides 2
\paperpagestyle fancy
\tracking_changes false
\output_changes false
\html_math_output 0
\html_css_as_file 0
\html_be_strict false
\end_header

\begin_body

\begin_layout Section
\start_of_appendix
Grid options (
\emph on
grid_options
\emph default
 hash)
\end_layout

\begin_layout Standard
\begin_inset CommandInset label
LatexCommand label
name "sec:grid-options"

\end_inset

The following summarises the 
\family typewriter
grid_options
\family default
 hash elements as stored in
\begin_inset Newline newline
\end_inset

 
\family typewriter
$binary_grid2_object->{_hash_options}
\family default
.
 Please note that some options are (perhaps) no longer used and are left
 in this manual as a reference guide only.
 
\end_layout

\begin_layout Description

\family typewriter
alarm_procedure
\family default
 When a signal is captured (usually on a timeout) the alarm_procedure tells
 us what to do.
 If 
\begin_inset Formula $0$
\end_inset

 then the grid exits.
 If 
\begin_inset Formula $1$
\end_inset

 it tries to restart on the next star (although this may be buggy it is
 the default!).
 Really you should fix the problem if there is a timeout because it should
 not happen.
\end_layout

\begin_layout Description

\family typewriter
always_reopen_arg_files
\family default
 If 1 then argument log files are always reopened when new arguments are
 sent to binary_c.
 Can be very expensive in I/O operations, i.e.
 slow.
 
\end_layout

\begin_layout Description

\family typewriter
always
\begin_inset space ~
\end_inset

flush
\begin_inset space ~
\end_inset

binary_err
\family default
 Set to 1 (default) to force the flushing of the 
\family typewriter
stderr
\family default
 channel out of 
\emph on
binary_c
\emph default
.
 If you don't do this, stderr output will pile up and eventually stop the
 grid from functioning.
 Do not change it unless you 
\emph on
know
\emph default
 there will be no 
\family typewriter
stderr
\family default
 output from 
\emph on
binary_c
\emph default
.
\end_layout

\begin_layout Description

\family typewriter
arg_checking
\family default
 Sometimes, an argument to binary_c will not be recognised (e.g.
 if you set something in a bse_option which is not compatible with your
 binary_c, perhaps because you haven't enabled some feature in binary_c)
 and the grid will give errors (and/or crash) which are rather cryptic.
 Instead of this, you can set arg_checking to 1 to have strict checking
 of each argument that is passed to binary_c.
 This is, however, rather slow (because it requires a lot of I/O) so the
 default is 0.
 
\end_layout

\begin_layout Description

\family typewriter
args
\family default
 Not technically an option, but is the string of arguments which is passed
 to 
\emph on

\begin_inset Formula $\binaryc$
\end_inset


\emph default
.
 Useful for logging or debugging.
\end_layout

\begin_layout Description

\family typewriter
binary
\family default
 The duplicity.
 If binary is 1 then the grid runs binary stars, if 0 then single stars.
\end_layout

\begin_layout Description

\family typewriter
cache_binary_c_output
\family default
 If this is 1 (the default) then output from binary_c is cached in a local
 array before being processed through 
\family typewriter
tbse_line()
\family default
 calls.
 This should be faster, because it means less switching from one process
 to another, but its use means that 
\emph on
binary_c
\emph default
 is out of sync with 
\family typewriter
tbse_line()
\family default
, so debugging is more difficult.
\end_layout

\begin_layout Description

\family typewriter
colour
\family default
 If 
\family typewriter
colour=1
\family default
 then verbose output (see 
\family typewriter
vb
\family default
) is in colour, using the 
\family typewriter
Term::ANSIColor
\family default
 Perl module.
 This is recommended.
\end_layout

\begin_layout Description

\family typewriter
disable_signal
\family default
 You can disable a specific signal with this hash, e.g.
 to disable 
\family typewriter
INT
\family default
 signals, set 
\family typewriter
$binary_grid::grid_options{disable_signal}{INT}=1;
\end_layout

\begin_layout Description

\family typewriter
exit_on_eval_failure
\family default
 When each star is run, it is inside a 
\emph on
Perl
\emph default
 
\family typewriter
eval
\family default
 construct.
 If there is an error (i.e.
 
\family typewriter
$@
\family default
 is not undef) 
\emph on
and
\emph default
 
\family typewriter
exit_on_eval_failure
\family default
 is defined then the grid is stopped.
 Otherwise, the grid goes on in the hope that the error does not persist
 (possibly dubious!).
\end_layout

\begin_layout Description

\family typewriter
force_local_hdd_use
\family default
 Checks to see if the disks to which you are outputting data are local or
 remotely mounted.
 If the latter, binary_grid refuses to work.
 You should (of course) always use local disks for your output – it is much
 faster.
 (Defaults to 1 on Unix systems.)
\end_layout

\begin_layout Description

\family typewriter
flexigrid
\family default
 Hash used to set up the flexigrid, see Section
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "sec:flexigrid"

\end_inset

.
\end_layout

\begin_layout Description

\family typewriter
grid_defaults_set
\family default
 Logic control variable, set to 1 if grid_defaults has been called.
\end_layout

\begin_layout Description

\family typewriter
lastargs
\family default
 Very similar to log_args but at a slightly different place in the code.
 Should be avoided, use 
\family typewriter
log_args
\family default
 instead.
\end_layout

\begin_layout Description

\family typewriter
libpath
\family default
 Path to libraries to be included in the calling of the 
\emph on

\begin_inset Formula $\binaryc$
\end_inset


\emph default
 executable.
 This harks back to the days whens 
\emph on
binary_c/nucsyn
\emph default
 was built as a set of shared libraries.
 These days it is built statically, so libpath is usually an empty string
 (and hence is ignored).
\end_layout

\begin_layout Description

\family typewriter
log_args
\family default
 If this is set to 
\begin_inset Formula $1$
\end_inset

 then the arguments passed to 
\emph on

\begin_inset Formula $\binaryc$
\end_inset


\emph default
 are saved in a file in 
\family typewriter
/tmp/
\family default
 (usually 
\family typewriter
/tmp/binary_c-args
\family default
 or similar, with separate files for each thread).
 This is very useful when the grid freezes as you can immediately see which
 stellar system has caused the problem and then rerun it manually.
 
\end_layout

\begin_layout Description

\family typewriter
maxq_per_thread
\family default
 The maximum number of stars allowed to sit on the thread queue, per thread.
 You do not want the thread queue to become indefinitely large because when
 that happens the resources to store the queue (RAM) will become significant.
 Default is 10.
\end_layout

\begin_layout Description

\family typewriter
newline
\family default
 If 
\family typewriter
vb=1
\family default
 then the value of this option is used as the end of line character.
 You can use either 
\family typewriter

\begin_inset Quotes eld
\end_inset


\backslash
x0d
\begin_inset Quotes erd
\end_inset


\family default
 (just a carriage return) or 
\family typewriter

\begin_inset Quotes eld
\end_inset


\backslash
n
\begin_inset Quotes erd
\end_inset


\family default
 which is the carriage return with a line feed (the usual concept of 
\begin_inset Quotes eld
\end_inset

new line
\begin_inset Quotes erd
\end_inset

).
\end_layout

\begin_layout Description

\family typewriter
nice
\family default
 A string containing the nice command used to run 
\shape italic

\begin_inset Formula $\binaryc$
\end_inset


\shape default
.
 Usually no nice is used, so this is '
\family typewriter
nice -n +0
\family default
'.
 You can leave this as it is and run '
\family typewriter
nice grid.pl
\family default
' if you want the whole grid to be 
\begin_inset Quotes eld
\end_inset

niced
\begin_inset Quotes erd
\end_inset

.
\end_layout

\begin_layout Description

\family typewriter
no_signals
\family default
 Set to 1 to disable Perl signals.
 Useful for working with Condor.
\end_layout

\begin_layout Description

\family typewriter
operating_system
\family default
 Saves details of the current operating system (from 
\emph on
rob_misc.pm
\emph default
)
\end_layout

\begin_layout Description

\family typewriter
parse_bse_function
\family default
 Used to create the 
\family typewriter
parse_bse_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
\end_layout

\begin_layout Description

\family typewriter
parse_bse_function_pointer
\family default
 In your grid script you need to define a subroutine (also known as a function)
 to be used for data parsing.
 Usually this is called 
\family typewriter
parse_bse 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
\end_layout

\begin_layout Description

\family typewriter
prog
\family default
 Th
\emph on
e 
\begin_inset Formula $\binaryc$
\end_inset


\emph default
 executable name, usually '
\family typewriter
binary_c
\family default
'.
 See also 
\family typewriter
rootpath
\family default
.
\end_layout

\begin_layout Description

\family typewriter
progenitor
\family default
 Not really a grid option, but stores the system information (
\begin_inset Formula $M$
\end_inset

 or 
\begin_inset Formula $M_{1}$
\end_inset

, 
\begin_inset Formula $M_{2}$
\end_inset

, 
\begin_inset Formula $a$
\end_inset

, 
\begin_inset Formula $P$
\end_inset

, 
\begin_inset Formula $e$
\end_inset

, 
\begin_inset Formula $p$
\end_inset

 etc.) – useful for debugging or logging.
\end_layout

\begin_layout Description

\family typewriter
progenitor_hash
\family default
 As progenitor but stores each item in a hash.

\emph on
 
\end_layout

\begin_layout Description

\family typewriter
repeat
\family default
 The number of times 
\family typewriter
\emph on
binary_c
\family default
\emph default
 is called for each grid point, default is 
\begin_inset Formula $1$
\end_inset

.
 This is useful for increasing the resolution in situations where Monte-Carlo
 methods are used such as the random supernova or white dwarf kicks.
\end_layout

\begin_layout Description

\family typewriter
rootpath
\family default
 The directory in which the 
\emph on

\begin_inset Formula $\binaryc$
\end_inset


\emph default
 code source and executable reside.
 See also 
\family typewriter
prog
\family default
 and 
\family typewriter
srcpath
\family default
.
\end_layout

\begin_layout Description

\family typewriter
single_star_period
\family default
 The orbital period (days) given to single stars (default 
\begin_inset Formula $10^{50}\,\mathrm{d}$
\end_inset

).
\end_layout

\begin_layout Description

\family typewriter
starting_snapshot_file
\family default
 Filename of a snapshot to be loaded before the grid is started.
\end_layout

\begin_layout Description

\family typewriter
snapshot_file
\family default
 Filename used to save the status of the grid in a snapshot so it can be
 restarted.
 Defaults to 
\family typewriter
/tmp/binary_c-snapshot
\family default
 (where /tmp/ is set by the '
\family typewriter
tmp
\family default
' grid option).
 
\end_layout

\begin_layout Description

\family typewriter
srcpath
\family default
 Location of the binary_c source files.
 Usually this is just 
\family typewriter
rootpath
\family default
 with '
\family typewriter
/src
\family default
' appended.
 
\end_layout

\begin_layout Description

\family typewriter
suspend_files
\family default
 An anonymous array (set with 
\family typewriter
[...]
\family default
) containing filenames that should be watched.
 If one exists, the grid is suspended to disk using the snapshotting mechanism
 (see snapshot_file).
\end_layout

\begin_layout Description

\family typewriter
tmp
\family default
 Location of temporary files.
 Usually this is 
\emph on
/tmp
\emph default
 (on Unix/Linux) and certainly it should be a local disk.
 If you have multiple users on one PC, they cannot 
\emph on
all
\emph default
 use 
\emph on
/tmp
\emph default
.
\end_layout

\begin_layout Description

\family typewriter
thread_max_freeze_time_before_warning
\family default
 The maximum time a thread loops its calls to 
\family typewriter
tbse()
\family default
 before a warning is issued (seconds, default 10).
\end_layout

\begin_layout Description

\family typewriter
thread_precreate_function
\family default
 Used to create the 
\family typewriter
thread_precreate_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
\end_layout

\begin_layout Description

\family typewriter
thread_precreate_function_pointer
\family default
 A pointer to a function to be called just before 
\family typewriter
threads->create
\family default
 is used to start a thread.
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
thread_prejoin_function
\family default
 Used to create the 
\family typewriter
thread_prejoin_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
\end_layout

\begin_layout Description

\family typewriter
thread_prejoin_function_pointer
\family default
 A pointer to a function called just before a thread is 
\family typewriter
join
\family default
ed.
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
thread_presleep 
\family default
A thread waits for this length of time (in seconds) before it starts in
 order that all other threads have time to start before any output is logged
 to the screen.
 As such this is just to keep output pretty and should be small (default
 1 second).
\end_layout

\begin_layout Description

\family typewriter
thread_postjoin_function 
\family default
Used to create the 
\family typewriter
thread_postjoin_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
thread_postjoin_function_pointer
\family default
 A pointer to a function called just after a thread is 
\family typewriter
join
\family default
ed.
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
thread_postrun_function
\family default
 Used to create the 
\family typewriter
thread_postrun_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
thread_postrun_function_pointer
\family default
 A pointer to a function to be called just after a 
\family typewriter
thread->create
\family default
 call (and just after 
\family typewriter
$@
\family default
 is checked for a thread-creation error).
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
threads_entry_function
\family default
 Used to create the 
\family typewriter
threads_entry_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
threads_entry_function_pointer
\family default
 A pointer to a function called from inside a thread just before flexigrid()
 is called.
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
threads_flush_function 
\family default
Used to create the 
\family typewriter
threads_flush_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
threads_flush_function_pointer
\family default
 A pointer to a function called from inside a thread just after flexigrid()
 returns.
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
threads_join_function
\family default
 Used to create the 
\family typewriter
threads_join_function_pointer 
\family default
(see FAQ
\begin_inset space ~
\end_inset


\begin_inset CommandInset ref
LatexCommand ref
reference "FAQ:functions and pointers"

\end_inset

).
 Ignored if 
\family typewriter
undef
\family default
.
\end_layout

\begin_layout Description

\family typewriter
threads_join_function_pointer
\family default
 When using a threaded grid you have to define a subroutine (also known
 as a function) pointer which points to the function to be called after
 each thread have finished.
 This function is responsible for 
\begin_inset Quotes eld
\end_inset

joining
\begin_inset Quotes erd
\end_inset

 the threads, which means it collects the results from the thread and adds
 them to the global results.
 This is usually a function called 
\family typewriter
join_thread
\family default
 and is set with a line in grid-xxx.pl similar to:
\begin_inset Newline newline
\end_inset


\family typewriter
$binary_grid::grid_options{'threads_join_function_pointer'}=
\backslash
&join_thread; 
\end_layout

\begin_layout Description

\family typewriter
threads_stack_size
\family default
 The stack size (in MBytes) for each of the Perl threads.
 Default is 
\family typewriter
32
\family default
 (MBytes).
\end_layout

\begin_layout Description

\family typewriter
timeout
\family default
 When possible the grid sets an alarm (a Linux/UNIX signal) which means
 that warnings are given and perhaps the grid stopped after 
\family typewriter
timeout
\family default
 seconds.
 Set to zero to ignore, usually 30 is enough.
 This assumes your
\emph on
 
\begin_inset Formula $\binaryc$
\end_inset


\emph default
 process takes less than 
\family typewriter
timeout
\family default
 seconds to run a system so if you have problems with this please check
 your system to make sure you have the CPU time you need.
\end_layout

\begin_layout Description

\family typewriter
vb
\family default
 Verbosity level.
 With 
\family typewriter
vb=1
\family default
 you get some output about the grid, i.e.
 the number of stars run, the number to go, the current 
\begin_inset Formula $M$
\end_inset

, or 
\begin_inset Formula $M_{1}$
\end_inset

,
\begin_inset space ~
\end_inset


\begin_inset Formula $M_{2}$
\end_inset

 and 
\begin_inset Formula $a$
\end_inset

, an estimate of the time taken, time remaining and the time at which the
 grid is expected to finish.
 You may also get information about memory usage (if available).
 Make sure your terminal window is quite wide to accommodate the information!
 If 
\family typewriter
vb=2
\family default
 you will get additional information about each system.
 This is very useful for determining which stellar system is causing the
 code to freeze and/or crash.
 See also 
\family typewriter
nmod
\family default
, 
\family typewriter
colour
\family default
 and 
\family typewriter
log_args
\family default
.
 Some verbose logging is only switched on if 
\family typewriter
vb=3
\family default
, although this should be considered experimental.
\end_layout

\begin_layout Description

\family typewriter
weight
\family default
 The probability is weighted by this value.
 
\end_layout

\begin_layout Standard
\begin_inset Newpage pagebreak
\end_inset


\end_layout

\begin_layout Section
\begin_inset Formula $\Binaryc$
\end_inset

 options (
\emph on
bse_options
\emph default
 hash)
\end_layout

\begin_layout Standard
\begin_inset CommandInset label
LatexCommand label
name "sec:bse-options"

\end_inset

 The following options correspond to variables in the 
\family typewriter
$binary_grid2_object->{_bse_options}
\family default
 hash.
 These correspond to options of 
\begin_inset Formula $\binaryc$
\end_inset

.
\end_layout

\begin_layout Standard
The most important options are listed here, however you should consult 
\emph on
binary_c
\emph default
 for the main options list because these options are (mostly) just passed
 to 
\begin_inset Formula $\binaryc$
\end_inset

.
 The full list of options is given in 
\family typewriter
src/setup/cmd_line_args.h
\family default
.
 You can access a full list of arguments by running 
\begin_inset Newline newline
\end_inset


\family typewriter
\series bold
binary_c --help
\family default
\series default

\begin_inset Newline newline
\end_inset

 
\emph on
BSE
\emph default
 refers to the 
\begin_inset Quotes eld
\end_inset

binary-star evolution
\begin_inset Quotes erd
\end_inset

 model of 
\begin_inset CommandInset citation
LatexCommand citet
key "2002MNRAS_329_897H"
literal "true"

\end_inset

.
\end_layout

\begin_layout Description
acc2 Bondi-Hoyle accretion rate parameter (default 1.5).
 Deprecated in binary_c V2.0, please use Bondi_Hoyle_accretion_factor instead."
\end_layout

\begin_layout Description
alpha_ce Common envelope ejection efficiency, default 1.0.
\end_layout

\begin_layout Description
bb CRAP parameter, default 0 (see 
\begin_inset CommandInset citation
LatexCommand citealp
key "1988MNRAS.231..823T"
literal "false"

\end_inset

).
 Deprecated in binary_c V2.0, please use CRAP_parameter instead.
\end_layout

\begin_layout Description
BH_prescription Black hole mass as a function of CO core mass prescription.
 Default 0 (
\emph on
BSE
\emph default
), can be 1 (Belczynski).
\end_layout

\begin_layout Description
Bondi_Hoyle_accretion_factor accretion rate parameter (default 1.5).
 
\end_layout

\begin_layout Description
CRAP_parameter CRAP parameter, default 0.
\end_layout

\begin_layout Description
delta_mcmin Shift in the core mass used to calculate the third dredge up
 efficiency (default 0).
\end_layout

\begin_layout Description
eddfac Eddington limit multiplier (default 1e6, i.e.
\begin_inset space ~
\end_inset

no Eddington limit).
\end_layout

\begin_layout Description
extra A string which is appended to the arguments for 
\emph on
binary_c
\emph default
.
 You should not use this form if you can avoid it, but it might be useful
 in some cases.
 
\end_layout

\begin_layout Description
lambda_ce Common envelope envelope binding energy parameter (default -1,
 i.e.
\begin_inset space ~
\end_inset

set according to fitting functions).
\end_layout

\begin_layout Description
lambda_ionisation Amount of recombination energy used to eject the common
 envelope (default 0.0, only acts if lambda_ce (above) is -1).
\end_layout

\begin_layout Description
lambda_min Minimum value of the third dredge up efficiency
\begin_inset space ~
\end_inset


\begin_inset Formula $\lambda$
\end_inset

 (default 0).
\end_layout

\begin_layout Description
max_evolution_time Maximum time for stellar evolution, default 
\begin_inset Formula $13.7\,\mathrm{Gyr}$
\end_inset

.
\end_layout

\begin_layout Description
metallicity The metallicity (default 
\begin_inset Formula $0.02$
\end_inset

).
 
\end_layout

\begin_layout Description
minimum_envelope_mass_for_third_dredgeup Minimum envelope mass for third
 dredge up (default 0.5).
\end_layout

\begin_layout Description
qcrit_GB_method Method for choosing 
\begin_inset Formula $q_{\mathrm{\mathrm{crit}}}$
\end_inset

 on the giant branch.
\end_layout

\begin_layout Description
sn_sigma SN kick velocity dispersion.
\end_layout

\begin_layout Description
superwind_mira_switchon Mira period at which the superwind switches on in
 TPAGB stars, default is 
\begin_inset Formula $500\,\mathrm{days}$
\end_inset

 as in 
\begin_inset CommandInset citation
LatexCommand citet
key "1993ApJ...413..641V"
literal "true"

\end_inset

.
\end_layout

\begin_layout Description
tidal_strength_factor Modules the tidal timescale, default 1.0.
\end_layout

\begin_layout Description
tpagbwind TPAGB wind prescription.
 Default 0 is 
\begin_inset CommandInset citation
LatexCommand citet
key "Parameterising_3DUP_Karakas_Lattanzio_Pols"
literal "true"

\end_inset

.
\end_layout

\begin_layout Description
tpagb_reimers_eta 
\begin_inset Formula $\eta$
\end_inset

 for Reimers on the TPAGB.
\end_layout

\begin_layout Description
vw_mira_shift Shifts the superwind Mira switchon (default 0.0).
\end_layout

\begin_layout Description
vw_multipler Multiplier for the VW93 wind (default 0.0).
\end_layout

\begin_layout Description
wr_wind Wolf-Rayet (massive star) wind prescription, default 0 is 
\emph on
BSE
\emph default
.
\end_layout

\begin_layout Description
wr_wind_fac Multiplier for WR winds, default 1.0.
\end_layout

\begin_layout Description
z The metallicity (default 
\begin_inset Formula $0.02$
\end_inset

).
 Deprecated in 
\emph on

\begin_inset Formula $\binaryc$
\end_inset


\emph default
 V2.0+ – please use 
\begin_inset Quotes eld
\end_inset

metallicity
\begin_inset Quotes erd
\end_inset

 instead.
\end_layout

\begin_layout Standard
\begin_inset Newpage pagebreak
\end_inset


\end_layout

\begin_layout Section
Grid variables
\end_layout

\begin_layout Standard
\begin_inset CommandInset label
LatexCommand label
name "sec:grid-variables"

\end_inset

 The following list describes the variables present in the grid(s).
 These variables are listed in the header of each grid file and in 
\family typewriter
src/MINT/MINT_data_columns_MS_list.def
\begin_inset Newline newline
\end_inset


\end_layout

\begin_layout Standard
Scalar quantities
\begin_inset Newline newline
\end_inset


\end_layout

\begin_layout Standard

\series bold
MASS
\series default
 Stellar mass in solar units.
 Stellar mass is a lookup parameter.
 Mass loss effects have been turned off for the stellar evolution so that
 mass is constant.
 In the original grid, the mass range covered is 0.32 to 100 Msun, with logarithm
ic steps (in MESA, this is the "mass" variable).
\end_layout

\begin_layout Standard

\series bold
CENTRAL_HYDROGEN 
\series default
Central mass fraction in hydrogen-1.
 It is a lookup parameter, serving as a proxy for time as it decreases monotonic
ally along the main-sequence evolution.
 In the original grid, it goes from 0.6985 to 1e-6, for a ZAMS/envelope hydrogen
 mass fraction of 0.7 (in MESA, this is the "center_h1" variable).
\end_layout

\begin_layout Standard

\series bold
RADIUS 
\series default
Stellar radius in solar units, taken at the photosphere (defined as optical
 depth tau=2/3).
 (in MESA, this is the "photosphere_r" variable)
\end_layout

\begin_layout Standard

\series bold
LUMINOSITY 
\series default
Stellar luminosity in solar units (in MESA, this is the "photosphere_L"
 variable).
\end_layout

\begin_layout Standard

\series bold
AGE
\series default
 Model age, when evolved as a single star.
 The ZAMS age is subtracted, so that the age printed in the grid should
 be 0 for the maximum value of the central hydrogen.
 Note that age is not a lookup parameter of the grid: the proxy for time
 spent on the MS is now the central h1 mass fraction (column 2).
 The age is output in order to allow for comparisons with Hurley et al.
 (2000) and other prescriptions.
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_CORE_MASS 
\series default
Relative convective core mass, i.e.
 core mass to stellar mass ratio (where stellar mass can be found in column
 1).
 This is computed based on the Ledoux stability criterion in which we remove
 the impact of near surface ionization zones (this is done by assigning
 to the stellar outer 2% in radius the value at the bottom of the layer).
 If the central point of the model is Ledoux-unstable, then the mass of
 the outer boundary of that convective zone is saved.
 If the central point is Ledoux-stable then the value is set to 0, if the
 model is fully convective then it is set to the stellar mass.
 
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_CORE_RADIUS 
\series default
Relative convective core radius, i.e.
 core radius to stellar photosphere radius ratio (where stellar radius can
 be found in column 3).
 Just like the relative convective core mass, it is based on the Ledoux
 criterion with near-surface layers ignored.
 If the central point of the model is Ledoux-unstable, then the radius of
 the outer boundary of that convective zone is saved.
 If the central point is Ledoux-stable then the value is set to 0, if the
 model is fully convective then it is set to the stellar radius.
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_CORE_MASS_OVERSHOOT
\series default
 Similar to CONVECTIVE_CORE_MASS, including core overshooting.
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_CORE_RADIUS_OVERSHOOT
\series default
 Similar to CONVECTIVE_CORE_RADIUS, including core overshooting.
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_ENVELOPE_MASS
\series default
 Relative mass included in the convective envelope (where stellar mass can
 be found in column 1).
 Just like the relative convective core mass, it is based on the Ledoux
 criterion with near-surface layers ignored.
 If the surface point of the model is Ledoux-unstable, then the mass of
 that convective zone is saved.
 If the surface is Ledoux-stable then the value is set to 0, if the model
 is fully convective then it is set to the stellar mass (just like the core
 equivalent).
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_ENVELOPE_RADIUS
\series default
 Relative radius to stellar photosphere radius ratio evaluated at the bottom
 of the convective envelope (where stellar radius can be found in column
 3).
 Just like the relative convective core mass, it is based on the Ledoux
 criterion with near-surface layers ignored.
 If the surface point of the model is Ledoux-unstable, then the radius of
 the inner boundary of that convective zone is saved.
 If the surface point is Ledoux-stable then the value is set to 1, if the
 model is fully convective then it is set to 0.
 Note that this is different from the envelope mass estimate
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_ENVELOPE_MASS_SIMPLIFIED
\series default
 Relative mass included in the convective envelope, i.e.
 envelope mass to stellar mass ratio, estimated from a simplified Ledoux
 criterion.
 The Ledoux criterion is simplified in order to neglect small (semi)convective
 zones: for a given profile, if a (semi)convective zone appears in between
 two radiative zones and its mass is less than a threshold, it is set to
 "radiative" to assess the convective envelope mass.
 The threshold is set to 1% of the total mass.
 Changes in stability in the top layers are ignored: layers above a given
 mass coordinate are set to the stability of that layer.
 The relative mass coordinate out of which we ignore changes in the Ledoux
 stability criterion is 0.997 if M<=100Msun, and 0.995 for M>100Msun.
 If the star is fully convective, this is equal to the stellar mass, if
 the surface is radiative it is equal to 0.
\end_layout

\begin_layout Standard

\series bold
CONVECTIVE_ENVELOPE_RADIUS_SIMPLIFIED 
\series default
Relative radius at the base of the convective radius, i.e.
 radius to stellar photosphere radius ratio evaluated at the bottom of the
 convective envelope, using the same simplification as for CONVECTIVE_ENVELOPE_M
ASS_SIMPLIFIED.
 If the surface point is Ledoux-stable then the value is set to 1, if the
 model is fully convective then it is set to 0.
 Note that this is different from the envelope mass estimate above.
\end_layout

\begin_layout Standard

\series bold
K2
\series default
 Apsidal constant k2, calculated assuming a spherical non-rotating star
 (in MESA, this is the "apsidal_constant_k2").
\end_layout

\begin_layout Standard

\series bold
TIDAL_E2
\series default
 Tidal dissipation factor E2 from Zahn (1975), for stars with a radiative
 envelope.
\end_layout

\begin_layout Standard

\series bold
TIDAL_E_FOR_LAMBDA
\series default
 Tidal dissipation factor E from Zahn (1989), for stars with a convective
 envelope.
 This coefficient is meant to be multiplied by integrals of the radius into
 the lambda01 and lambda22 coefficients (this operation is done analytically
 in binary_c).
\end_layout

\begin_layout Standard

\series bold
TIMESCALE_KELVIN_HELMHOLTZ
\series default
 Kelvin-Helmholtz timescale (in years).
 As defined by GM^2/(2RL) (in MESA, this is the "kh_timescale").
\end_layout

\begin_layout Standard

\series bold
TIMESCALE_DYNAMICAL
\series default
 Dynamical timescale (in years).
 As defined by 2*pi*sqrt(r^3/(G*m)) (in MESA, this is the "dynamic_timescale").
\end_layout

\begin_layout Standard

\series bold
TIMESCALE_NUCLEAR
\series default
 Nuclear timescale (in years) (in MESA, this is the "nuclear_timescale").
\end_layout

\begin_layout Standard

\series bold
FIRST_DERIVATIVE_CENTRAL_HYDROGEN
\series default
 dX/dt, first derivative of the central h1 mass fraction with respect to
 time (in yr^-1).
 To ensure consistency between gridpoints, and to get rid of the dependence
 on the stellar evolution timestep, it is computed by fitting a polynomial
 function to the X-t function near the point where the gridpoint is saved.
\end_layout

\begin_layout Standard

\series bold
SECOND_DERIVATIVE_CENTRAL_HYDROGEN
\series default
 d^2 X/ dt^2 second derivative of the central h1 mass fraction with respect
 to time (in yr^-2).
 This is yet to be added.
 It is also obtained from the polynomial fit used for the first derivative.
\begin_inset Newline newline
\end_inset


\end_layout

\begin_layout Standard
Interpolated quantities
\begin_inset Newline newline
\end_inset

Some calculations (including those relating to nucleosynthesis) require
 some structure quantities to be extracted from teh MESA profiles and passed
 to binary_c.
 Those quantities are interpolated on a Chebyshev grid, that can be denser
 near the core, the surface, or both, for a given number of points.
 The number of points is given by the column numbers assigned to each quantity
 and the mass coordinates of these points is given below in the header.
 
\begin_inset Newline newline
\end_inset


\end_layout

\begin_layout Standard

\series bold
CHEBYSHEV_TEMPERATURE 
\series default
Temperature inside the star (K).
\end_layout

\begin_layout Standard

\series bold
CHEBYSHEV_DENSITY 
\series default
Density inside the star (g cm^-3)
\end_layout

\begin_layout Standard

\series bold
CHEBYSHEV_TOTAL_PRESSURE
\series default
 Pressure inside the star, including both gas (electron and ions) and radiation
 pressures, in cgs units.
\end_layout

\begin_layout Standard

\series bold
CHEBYSHEV_GAS_PRESSURE 
\series default
Gas pressure inside the star, in cgs units.
 The ratio of CHEBYSHEV_GAS_PRESSURE to CHEBYSHEV_TOTAL_PRESSURE yields
 the beta coefficient.
\end_layout

\begin_layout Standard

\series bold
CHEBYSHEV_RADIUS 
\series default
Radius inside the star (Rsun).
\end_layout

\end_body
\end_document
